<?php
namespace Modules\Cotacao\Modules\ListaPreco\Controllers;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class Sup05500ListaPreco extends \Zeedhi\Framework\Controller\Report {
    
    protected $entityManager;
    protected $qr2Strategy;
    protected $newCode;
    protected $environment;
    protected $connection;
    protected $dataSourceManager;
    
    public function __construct($reportService, $entityManager, $qr2Strategy, $newCode, $environment, $connection, $dataSourceManager) {
        $this->entityManager     = $entityManager;
        $this->qr2Strategy       = $qr2Strategy;
        $this->reportService     = $reportService;
        $this->newCode           = $newCode;
        $this->environment       = $environment;
        $this->connection        = $connection;
        $this->dataSourceManager = $dataSourceManager;
    }
    
    protected $reportMapping = array ();
     public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $row['__report_name'] = str_replace(".QR2","",$row['REPORT']);
        $row['CDFILIAL'] = $this->environment->getCdFilial();
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
        $this->stNomeRel = $this->getReportName($row);
        $this->reportMapping[$this->stNomeRel] =
            array (
                'strategy' => $row['STRATEGY'],
                'parameterMapping' =>
                    array (
                        "CDFILIAL"      => "P_CDFILIAL",
                        "DTINI"         => "P_DTINI",
                        "DTFIN"         => "P_DTFIN",
                        "NRSEQPRELIST"  => "L_LISTAPREC",
                        "CDCOMPRADOR"   => "L_CDCOMPRADOR",
                        "CDOPERADOR"    => "L_CDOPERADOR"
                    ),
            );
}
    
   
}