<?php

namespace Folha\Logic\Epi;
use \HCM\Util\DateUtil;
use HCM\Util\FPA;

/**
 * Description of ProgramacaoEntrega
 *
 * @author ingridmoreira
 */
class ProgramacaoEntrega {
    public static function gravarHistoricoEpi($histEpiNovo){
        $operador = FPA::getCdoperador();
        $nrorg = FPA::getNrorg();
        $dataAtual = DateUtil::getDataAtual();
        try{
            
            $nrhistoricoepi = \Geral\Util\NovoCodigo::geraCodigo($histEpiNovo['NRORG'], 'SST_HISTORICOEPI', 1, 10, true);
            $dtentregaepi = DateUtil::getDataDeString($histEpiNovo['DTENTREGAEPI'], DateUtil::FORMATO_BRASILEIRO_DATAHORA, true);
            
            $histEpi = new \Folha\Entities\SstHistoricoepi();
            $histEpi->setNrorgultatu($nrorg);
            $histEpi->setDtultatu($dataAtual);
            $histEpi->setNrorginclusao($nrorg);
            $histEpi->setDtinclusao($dataAtual);
            $histEpi->setCdoperultatu($operador);
            $histEpi->setCdoperinclusao($operador);
            $histEpi->setDtentregaepi($dtentregaepi);
            $histEpi->setNrepi($histEpiNovo['NREPI']);
            $histEpi->setNrorg($histEpiNovo['NRORG']);
            $histEpi->setNrhistoricoepi($nrhistoricoepi);
            $histEpi->setNrvinculom($histEpiNovo['NRVINCULOM']);
            $histEpi->setDsmodeloepi($histEpiNovo['DSMODELOEPI']);
            $histEpi->setNrparcnegocio($histEpiNovo['NRPARCNEGOCIO']);
            $histEpi->setQtfornecidaepi($histEpiNovo['QTFORNECIDAEPI']);
            $histEpi->setNrctrlaprovepi($histEpiNovo['NRCTRLAPROVEPI']);
            $histEpi->setIdprotecaoeficaz($histEpiNovo['IDPROTECAOEFICAZ']);
            
            $histEpi->persist();
            \Setforms2\Shared\Registry::getEntityManager()->flush();
        } catch (\Exception $ex) {
            throw $ex;
        }
        
    }
    
    public static function buscaProgramacao($nrorg,$nrformprogepi){
        
        $formprogepi   = \Folha\Entities\SstFormprogepi::findOneByNrorgAndNrformprogepi($nrorg, $nrformprogepi);
        
        return $formprogepi;
    }
}
