<?php
namespace Planejamento\Entities;

use Geral\Util\Ambiente;
use Geral\Util\DateUtil;

class Planrecprod extends Base\Planrecprod
{
    public static function atualizaQtdeRecProd($nrorg, $nrplanprod, $cdprodacabado,
        $cdfiliagreg, $cdservfiliagreg, $dtconsumo, $vrPercentAlt)
    {
        try {
            $planRecProd = Planrecprod::getObjectsByWhere(
                'NRORG = ? AND NRPLANPROD = ? AND CDPRODACABADO = ? AND CDFILIAGREG =
                ? AND CDSERVFILIAGREG = ? AND DTCONSUMO = ?',
                array(
                    $nrorg, $nrplanprod, $cdprodacabado, $cdfiliagreg,
                    $cdservfiliagreg, $dtconsumo
                )
            );
            $vrtotalcusto = 0;
            foreach($planRecProd as $obj) {
                $qtprodreceprat = $obj->getQtprodreceprat();
                $qtvrtotal = (($qtprodreceprat*$vrPercentAlt)*$obj->getVrunitreceprat());
                $obj->setQtprodreceprat(($qtprodreceprat*$vrPercentAlt));
                $obj->setVrtotalreceprat($qtvrtotal);
                $obj->setNrorgultatu($nrorg);
                $obj->setCdoperultatu(Ambiente::getCdOperador());
                $obj->setDtultatu(DateUtil::getDataAtual());
                $vrtotalcusto = $vrtotalcusto + $qtvrtotal;
                $obj->persist();
            }

            return $vrtotalcusto;
        } catch (\Exception $e) {
            throw $e;
        }
    }

}